Subject: Ticket Assigned - My Account
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 10 May 2021 13:43:08 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account I have tried to buy online and while I check out I am unable to.login to my account 
I requested my password several times but the link is not coming  to my email

I tried the same from shukran account which is same email and it's the same while I logout 

Pls advice so I can do online the purchase https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2431175